Skip to main content

Technical Requirements

You can use Danica Pension website, Netpension and Mobilpension on most computers and smartphones. Your device must have an Internet connection. You must also be able to run the programs that support the features.

See the technical requirements for your device if you want to use Netpension and Mobilpension

Choose device

  • Computer

    Computer

    If your computer is a recent model, you will be able to use our website and Netpension system without problems. But to get the most out of our services, there are a few things you should be aware of.

    Browser and operating system 
    We recommend that you use the latest version of a browser, although not a beta version.
    These are the operating systems and browsers we have tested for all functions in Netpension.

    Windows 8, Windows 10
      Browser Support
      Internet Explorer 11 or later Yes 
      Firefox Latest version Yes 
      Google Chrome Latest version Yes
      Edge Latest version Yes 

    Apple macOS Yosemite, El Capitan, Sierra, High Sierra (10.10, 10.11, 10.12, 10.13)
      Browser Support
      Safari Latest version Yes
      Firefox Latest version Yes
      Google Chrome Latest version Yes

    Linux Ubuntu, seneste version
      Browser Support
      Firefox Latest version                 No


    Monitor requirements
    The resolution and size of your monitor affect the appearance of web pages. We design our website for a screen resolution of 1024x768 pixels. If your browser window is smaller than the size a website is designed for, you will see a scrollbar. Use the scrollbar to view the entire page

    Other requirements
    In order to have full access to our website and Netpension your computer also needs the following installed:

    Adobe Reader www.adobe.com
    Adobe Flash Player www.adobe.com


  • Mobile

    Mobile

    If you have a smartphone, you can use the Mobilpension app without any problems. But be aware of a number of technical requirements if you want to get the most out of our products.

    We continually optimise our apps for the latest versions of the operating systems. This gives the best experience for most users. In many cases, our apps can also run on older versions of an operating system.

    Operating system
    The operating system requirements are:

      iOS Support
      iOS version 11.0 or newer  Yes 

      Android           Support
      Android  4.3 or newer        
    Yes

A lot can happen in a year. Does your pension scheme fit your current life situation?